Subject: bug#75322: SAFE_ALLOCA assumed to root Lisp_Objects/SSDATA(string)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Jan 2025 16:07:31 +0200

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 06 Jan 2025 04:57:37 +0100
> 
> >From my POV: So we're talking about things, you want to make it
> concrete, we land in call_process, I explain why SAFE_NALLOCA is unsafe
> when used with references even with the old GC, you think references are
> on the stack because the parameter args is on stack, and I say no.
> 
> Next thing I get is a rant.

It wasn't a rant, it was an honest surprise that we'd need to go to
such lengths to accommodate MPS.

I still consider the effort to be huge and not very practical, and
even if someone volunteers to make all those changes, I'd be petrified
to think how many bugs this could introduce on the way.

> You don't even say "you're right" or "you're
> wrong", so I don't know for sure if you accept my argumentation or not.

Sorry for my style, but I usually try not to say things that add
nothing to the discussion.